## golang-github-ncw-go-acd 0.0~git20171120.887eb06

=== Makefile ===
TEST?=./...
VETARGS?=-asmdecl -atomic -bool -buildtags -copylocks -methods -nilfunc -printf -rangeloops -shift -structtags -unsafeptr

default: test

# test runs the unit tests and vets the code
test:
	ACD_ACC= go test $(TEST) $(TESTARGS) -timeout=30s -parallel=4
	@$(MAKE) fmt
	@$(MAKE) vet

# testacc runs acceptance tests
testacc:
	@if [ "$(TEST)" = "./..." ]; then \
		echo "ERROR: Set TEST to a specific package"; \
		exit 1; \
	fi
	ACD_ACC=1 go test $(TEST) -v $(TESTARGS) -timeout 45m

# testrace runs the race checker
testrace:
	ACD_ACC= go test -race $(TEST) $(TESTARGS)

# updatedeps installs all the dependencies needed to run
# and build
updatedeps:
	@gpm

cover:
	@go tool cover 2>/dev/null; if [ $$? -eq 3 ]; then \
		go get -u golang.org/x/tools/cmd/cover; \
	fi
	go test $(TEST) -coverprofile=coverage.out
	go tool cover -html=coverage.out
	rm coverage.out

# fmt formats the Go source code
fmt:
	@go list ./... \
		| xargs go fmt

# vet runs the Go source code static analysis tool `vet` to find
# any common errors.
vet:
	@go tool vet 2>/dev/null ; if [ $$? -eq 3 ]; then \
		go get golang.org/x/tools/cmd/vet; \
	fi
	@go list -f '{{.Dir}}' ./... \
		| xargs go tool vet ; if [ $$? -eq 1 ]; then \
			echo ""; \
			echo "Vet found suspicious constructs. Please check the reported constructs"; \
			echo "and fix them if necessary before submitting the code for reviewal."; \
		fi

.PHONY: default test vet

## golang-github-ncw-go-acd 0.0~git20160921.0.56da839

=== debian/changelog ===
golang-github-ncw-go-acd (0.0~git20160921.0.56da839-1) unstable; urgency=medium

  * Initial release (Closes: #841775)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 23 Oct 2016 14:03:00 +0200

=== debian/control ===
Source: golang-github-ncw-go-acd
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-go,
               golang-github-google-go-querystring-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 3.9.8
Homepage: https://github.com/ncw/go-acd
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-ncw-go-acd.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-ncw-go-acd.git
XS-Go-Import-Path: github.com/ncw/go-acd

Package: golang-github-ncw-go-acd-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-google-go-querystring-dev,
         golang-github-stretchr-testify-dev
Description: Go library for accessing Amazon Cloud Drive
 This library is the basis for acdcli (https://github.com/sgeb/acdcli).
 .
 Still work in progress. Focusing on read-only operations at first.

## golang-github-ncw-go-acd 0.0~git20161119.0.7954f1f

=== debian/changelog ===
golang-github-ncw-go-acd (0.0~git20161119.0.7954f1f-1) unstable; urgency=medium

  * Imported Upstream version 0.0~git20161119.0.7954f1f

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 03 Jan 2017 11:30:21 +0100

golang-github-ncw-go-acd (0.0~git20160921.0.56da839-2) unstable; urgency=medium

  * Build-Depends on golang-any instead of golang-go

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 30 Nov 2016 16:30:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-golang,
-               golang-go,
+               golang-any,
                golang-github-google-go-querystring-dev,
                golang-github-stretchr-testify-dev
 Standards-Version: 3.9.8
@@ -18,7 +18,6 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         golang-go,
          golang-github-google-go-querystring-dev,
          golang-github-stretchr-testify-dev
 Description: Go library for accessing Amazon Cloud Drive

## golang-github-ncw-go-acd 0.0~git20171120.887eb06

=== debian/changelog ===
golang-github-ncw-go-acd (0.0~git20171120.887eb06-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Apply multi-arch hints. + golang-github-ncw-go-acd-dev: Add Multi-Arch: foreign.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 21:29:43 +0200

golang-github-ncw-go-acd (0.0~git20171120.887eb06-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.0~git20171120.887eb06
  * Use debhelper v11
  * Update to Standards-Version 4.1.4
    - Use HTTPS URL for d/copyright
    - Use Priority: optional
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 09 Apr 2018 21:39:02 +0200

=== debian/control ===
Source: golang-github-ncw-go-acd
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-google-go-querystring-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.1.4
Homepage: https://github.com/ncw/go-acd
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ncw-go-acd
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ncw-go-acd.git
XS-Go-Import-Path: github.com/ncw/go-acd

Package: golang-github-ncw-go-acd-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-google-go-querystring-dev,
         golang-github-stretchr-testify-dev
Multi-Arch: foreign
Description: Go library for accessing Amazon Cloud Drive
 This library is the basis for acdcli (https://github.com/sgeb/acdcli).
 .
 Still work in progress. Focusing on read-only operations at first.
